Package: org.gradle.platform.base.component

## [Java] Class BaseComponentSpec

- org.gradle.platform.base.component.BaseComponentSpec

- All Implemented Interfaces and Traits:
    org.gradle.platform.base.internal.ComponentSpecInternal

      @Incubating
      // Needs to be here instead of the specific methods, because Java 6 and 7 will throw warnings otherwise
      @SuppressWarnings("deprecation")
      public abstract class BaseComponentSpec
      extends Object

  Base class for custom component implementations. A custom implementation of ComponentSpec must extend this type.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected BaseComponentSpec ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `binaries(Action<? super ModelMap<BinarySpec>> action)`
    `static T` | `create(Class<T> type, ComponentSpecIdentifier identifier, org.gradle.model.internal.core.MutableModelNode modelNode, org.gradle.internal.reflect.Instantiator instantiator, org.gradle.language.base.internal.registry.LanguageRegistry languageRegistry, File baseDir)`
    `ModelMap<BinarySpec>` | `getBinaries()`
    `String` | `getDisplayName()`
    `FunctionalSourceSet` | `getFunctionalSourceSet()`
    `Set<? extends Class<? extends TransformationFileType>>` | `getInputTypes()`
    `String` | `getName()`
    `String` | `getProjectPath()`
    `ModelMap<LanguageSourceSet>` | `getSource()`
    `ModelMap<LanguageSourceSet>` | `getSources()`
    `protected String` | `getTypeName()`
    `void` | `sources(Action<? super ModelMap<LanguageSourceSet>> action)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### protected BaseComponentSpec()

  - ### Method Detail

    - #### @Override public void binaries(Action<? super ModelMap<BinarySpec>> action)

    - #### public static T create(Class<T> type, ComponentSpecIdentifier identifier, org.gradle.model.internal.core.MutableModelNode modelNode, org.gradle.internal.reflect.Instantiator instantiator, org.gradle.language.base.internal.registry.LanguageRegistry languageRegistry, File baseDir)

    - #### @Override public ModelMap<BinarySpec> getBinaries()

    - #### public String getDisplayName()

    - #### public FunctionalSourceSet getFunctionalSourceSet()

    - #### public Set<? extends Class<? extends TransformationFileType>> getInputTypes()

    - #### public String getName()

    - #### public String getProjectPath()

    - #### @Override public ModelMap<LanguageSourceSet> getSource()

    - #### @Override public ModelMap<LanguageSourceSet> getSources()

    - #### protected String getTypeName()

    - #### @Override public void sources(Action<? super ModelMap<LanguageSourceSet>> action)

    - #### @Override public String toString()